Skip to main content
GET
/
calls
List Calls
curl --request GET \
  --url https://api.staging.kathan.tech/calls \
  --header 'Authorization: Bearer <token>' \
  --header 'X-User-ID: <api-key>'
[
  {
    "id": "<string>",
    "to_number": "<string>",
    "provider": "<string>",
    "status": "<string>",
    "phone_number_id": "<string>",
    "assistant_id": "<string>",
    "from_number": "<string>",
    "provider_call_sid": "<string>",
    "direction": "<string>",
    "created_at": "<string>",
    "duration_seconds": 123,
    "timestamp": "<string>",
    "summary": "<string>",
    "user_messages": 123,
    "agent_messages": 123,
    "recording_url": "<string>",
    "stereo_recording_url": "<string>",
    "recording_mp3_url": "<string>",
    "stereo_recording_mp3_url": "<string>",
    "latency_metrics": {},
    "per_turn_latency": [
      "<unknown>"
    ],
    "transcript": [
      "<unknown>"
    ]
  }
]

Authorizations

Authorization
string
header
required

API key authentication.

X-User-ID
string
header
required

Required user id for API key requests.

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

id
string
required
to_number
string
required
provider
string
required
status
string
required
phone_number_id
string | null
assistant_id
string | null
from_number
string | null
provider_call_sid
string | null
direction
string | null
created_at
string | null
duration_seconds
integer | null
timestamp
string | null
summary
string | null
user_messages
integer | null
agent_messages
integer | null
recording_url
string | null
stereo_recording_url
string | null
recording_mp3_url
string | null
stereo_recording_mp3_url
string | null
latency_metrics
Latency Metrics · object
per_turn_latency
any[] | null
transcript
any[] | null